Yeah, I can certainly see that now. I was just trying out the new features, but for a number of reasons, I can't upgrade our other installations yet to match, so I must downgrade. Is there a way to wipe clean and re-install without  having to wipe out my whole machine? 


On Wed, May 16, 2012 at 12:21 PM, Scott Cain <> wrote:
Hi E,

Downgrading can certainly be tricky.  Is there a reason you don't want
to be at the most recent release?


On Wed, May 16, 2012 at 2:31 PM, EChan <> wrote:
> Specifically, my vista_plots no longer appear in the browser and I get the
> following message:
> rendering error track: Can't locate object method "new" via package
> "Bio::DB::Fasta" (perhaps you forgot to load "Bio::DB::Fasta"?) at
> /Library/Perl/5.10.0/Bio/Graphics/Glyph/ line 188. at
> /Library/Perl/5.10.0/darwin-thread-multi-2level/Bio/Graphics/Browser2/
> line 3646
> Bio/DB/ is definitely there.
> Additionally, the auto-scaling for my wiggle_whisker plots seem to be off
> (e.g. I set it to show +/- 4 SDs but instead it shows a different y-axis
> limit) and I get an internal server error when I click on the wrench to
> reconfigure. I noticed that and are not part of
> the Bio::Graphics 2.28 package... should they be?
> Any help would be greatly appreciated, I'm grasping at straws here...
> Thanks,
> E
> On Mon, May 14, 2012 at 10:29 AM, EChan <> wrote:
>> Hi,
>> I recently upgraded to GBrowse 2.49 from 2.48 and Bio::Graphics 2.28 from
>> 2.26 and subsequently decided to downgrade back to that configuration.
>> However, my browser does not behave as it did before the upgrade. In
>> particular, I am getting errors such as "Premature end of script headers:
>> gbrowse" and "rendering error track: Can't locate object method
>> "statistical_summary" via package "Bio::Graphics::Feature" at
>> /Library/Perl/5.10.0/Bio/Graphics/Glyph/ line 396", along with
>> strange behaviours such as selected tracks not showing up, the track
>> configuration (wrench button) not working (changes not appearing and dialog
>> box persisting) and the scaling appearing not as specified in the
>> configuration.
>> I have not changed the configuration between upgrading and subsequent
>> downgrading so I'm thinking it's not a configuration issue, though I'm still
>> investigating that angle. Is there something different between those
>> versions that could possibly cause what I'm describing and how should I go
>> about fixing it or diganosing the problem better?
>> Thanks,
>> E
> ------------------------------------------------------------------------------
> Live Security Virtual Conference
> Exclusive live event will cover all the ways today's security and
> threat landscape has changed and how IT managers can respond. Discussions
> will include endpoint security, mobile security and the latest in malware
> threats.
> _______________________________________________
> Gmod-gbrowse mailing list

Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (                     216-392-3087
Ontario Institute for Cancer Research